 <script>
$('#update_form').on("submit", function(event){  
  event.preventDefault();  
  if($('#enomor_perkarapa').val() == "")  
  {  
   alert("Mohon Isi Nomor_Perkara");  
  }  
  else if($('#ejenis_perkarapa').val() == '')  
  {  
   alert("Mohon Isi Jenis Perkara");  
  } 
   else if($('#enama_pembanding').val() == '')  
  {  
   alert("Mohon Isi Nama Pihak Pembanding");  
  } 
   else if($('#enama_terbanding').val() == '')  
  {  
   alert("Mohon Isi Nama Pihak Terbanding");  
  }    
 
  else  
  {  
   $.ajax({  
    url:"keberatan/update.php",  
    method:"POST",  
    data:$('#update_form').serialize(),  
    beforeSend:function(){  
     $('#update').val("Updating");  
    },  
    success:function(data){  
     $('#update_form')[0].reset();  
     $('#editModal').modal('hide');  
     $('#employee_table').html(data);  
     location.reload();
    }  
   });  
  }  
 });
</script>
<script type="text/javascript" src="ckeditor/ckeditor/ckeditor.js">
    </script>
<?php 
if(isset($_POST["employee_id"]))
{
 $output = '';
 include 'config.php';
 $query = "SELECT * FROM tb_keberatan WHERE reg_keberatan = '".$_POST["employee_id"]."'";
 $result = mysqli_query($koneksi, $query);
	$row = mysqli_fetch_array($result);
     $output .= '
         <form method="post" id="update_form">
         <input type="hidden" name="id" id="id" value="'.$_POST["employee_id"].'" class="form-control" />
         <input type="hidden" name="checkin" id="checkin" value="'.bln_indo1(date("Y-m-d", strtotime($row["tgl_keberatan"]))).'" class="form-control" />
         <input type="hidden" name="thn_informasi" id="thn_informasi" value="'.thn_indo(date("Y-m-d", strtotime($row["tgl_keberatan"]))).'" class="form-control" />
         <table style="font-family:cambria; font-size:12px;">
         <tr>
             <td>No. Register Keberatan</td>
             <td> : '.$row['reg_keberatan'].'</td>
         </tr>
         <tr>
             <td style="width: 200px;">Tanggal Pengajuan Keberatan</td>
             <td> : '.bln_indo(date("Y-m-d", strtotime($row["tgl_keberatan"]))).'</td>
         </tr>
         <tr>
             <td>Nama Pengaju</td>
             <td> : '.$row['nama'].''.$row['nama_kuasa'].'</td>
         </tr>
         <tr>
                <td>Jenis Informasi</td>
                <td> : '.$row['informasi'].'</td>
             </tr>
            <tr>
                <td>Kepentingan</td>
                <td> : '.$row['tujuan'].'</td>
            </tr>
            <tr>
                <td>Alasan Keberatan</td>';
                $jenis = $row['jenis_keberatan'];
                $que = "SELECT*FROM sys_keberatan WHERE jenis_keberatan = '$jenis'";
                $res = mysqli_query($koneksi, $que);
                $data = mysqli_fetch_array($res);
                $output .= '
                <td> : '.$data['nama_jeniskeberatan'].'</td>
            </tr>
            <tr>
            <td>Kasus Posisi</td>
            <td> : '.$row['kasus'].'</td>
        </tr>
        </table>
         <label style="font-family:cambria; font-size:12px">Tanggal Penanggapan Atas Keberatan</label>
         <input type="date" name="etgl_tanggapan" id="etgl_tanggapan" class="form-control form-control-sm" style="font-family:cambria; font-size:12px"/>
        <label style="font-family:cambria; font-size:12px">Tanggapan Atas Keberatan</label>
        <textarea type="text" name="etanggapan" id="etanggapan" class="form-control form-control-sm" style="font-family:cambria; font-size:12px"></textarea>
        <label style="font-family:cambria; font-size:12px">disposisi</label>
        <textarea type="text" name="edisposisi" id="edisposisi" class="form-control form-control-sm" style="font-family:cambria; font-size:12px"></textarea>
        <label style="font-family:cambria; font-size:12px">Jangka Waktu Penyampaian Keberatan</label>
        <input type="text" name="ewaktu" id="ewaktu" class="form-control form-control-sm" style="font-family:cambria; font-size:12px"/>
        <br />
        <input type="submit" name="update" id="update" value="simpan" class="btn btn-success btn-sm" />
    </form>
     ';
    echo $output;
}
?>


<?php
function bln_indo($tanggal){
	$bulan = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan = explode('-', $tanggal);
	
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
    return $pecahkan[2] . ' ' . $bulan[ (int)$pecahkan[1] ] . ' ' . $pecahkan[0];
}

function bln_indo1($tanggal1){
	$bulan1 = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan1 = explode('-', $tanggal1);
	
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
    return $bulan1[ (int)$pecahkan1[1] ] . ' ' . $pecahkan1[0];
}

function thn_indo($tanggal2){
	$bulan2 = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan2 = explode('-', $tanggal2);
	
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
    return $pecahkan2[0];
}
?>